%global desc Pydantic is a data \
validation and settings management library \
for Python used to declare the expected data \
structure and validate input data against \
that structure. Pydantic makes it easy to \
define data models with required fields, \
default values, and data types. It can also \
generate a JSON Schema that can be used for \
API documentation or validation.

%global srcname pydantic


Name:           python-%{srcname}
Version:        1.10.7
Release:        1%{?dist}
Summary:        Data validation using Python type hints

License:        MIT
URL:            https://github.com/samuelcolvin/%{srcname}
Source0:        %{pypi_source %{srcname}}

BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-mypy
BuildRequires:  python3-pytest-mock
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(hypothesis)

Requires:       python3-email-validator >= 1.0.3
Requires:       python3-ujson >= 1.35


%description
%{desc}


%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
%{desc}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pyproject_check_import
pytest


%files -n python3-%{srcname} -f %{pyproject_files}


%changelog
* Tue Apr 25 2023 Jiri Kyjovsky <j1.kyjovsky@gmail.com> - 1.10.7-1
- Initial EPEL9 package
